# Get Bill Transaction Status

This API's primary function is to manually verify each transaction that has been created. There are three main statuses for each transaction: **Active**, **Pending**, and **Failed**. It is recommended to use this API in conjunction with the callback API for real-time transaction status updates, although it is not mandatory.

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Get a Bill's Transactions Status

HTTP Method: <mark style="color:green;">GET</mark>

```
https://api.leanx.dev/api/v1/merchant/manual-checking-transaction
```

**Query**

| Query       | Type   | Description                                               |
| ----------- | ------ | --------------------------------------------------------- |
| invoice\_no | String | Your [Bill](/api-docs/cloud-payment/bill.md) `invoice_no` |

**Response**

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T17:09:28.926096",
  "data": {
    "transaction_details": {
      "invoice_no": "BP-827E01E439-LNP",
      "fpx_invoice_no": "FPX1674124350nnGPXTwY",
      "amount": "338.00",
      "invoice_status": "SUCCESS",
      "providerTypeReference": "FPX",
      "bank_provider": "Bank Rakyat",
      "category_code": "WEBPAY"
    },
    "company_name": "Leanis Solutions",
    "company_number": "956412536547",
    "nature_of_business": "Fintech: Payment Gateway",
    "company_details": {
      "address_line_one": "M1-13A-08",
      "id": 2,
      "address_postcode": "52200",
      "address_city": null,
      "bank_name": "27",
      "bank_account_statement_header": "NO_DATA",
      "external_account": null,
      "created_at": "2023-01-18T18:22:13",
      "individual_nric": "960521115574",
      "legal_name": "Syahirah Zaki",
      "address_line_two": "Tower 18trium",
      "address_state": "4165116689",
      "address_country": "MALAYSIA",
      "business_bank_account_number": "659854123654",
      "record_status": 1,
      "updated_at": "2023-01-18T18:04:42"
    }
  },
  "breakdown_errors": "",
  "token": ""
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leanx.io/api-docs/cloud-payment/bill/manage/get-bill-transaction-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
